INSTALL_DIR=please_set_the_INSTALL_DIR_variable_in_the_top_level_makefile_and_run_make_config
DEFAULT_SERVER=localhost

LIB=$(INSTALL_DIR)/lib

LIBS=-lsocket
CFLAGS=-O -DDEFAULT_SERVER=\"$(DEFAULT_SERVER)\"

.SUFFIXES:	.java .class

.java.class:
	javac $<

all:	tmports.o

all_including_java_code:	javatest.class TM.class Tmports.class tmports.o

tmports.o:	tmports.h tmports.c
	cc -c $(CFLAGS) tmports.c

install:	all
	cp tmports.o $(LIB)/linux_tmports.o

clean:
	rm -f *.o *.class
